#
# Conditional build:
%bcond_with	appindicator	# application indicators instead of xembed systray support
#
%define		nmversion 2:1.8
Summary:	Network Manager for GNOME
Summary(pl.UTF-8):	Zarządca sieci dla GNOME
Name:		NetworkManager-applet
Version:	1.8.10
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/network-manager-applet/1.8/network-manager-applet-%{version}.tar.xz
# Source0-md5:	eae3be75e77ff1a7ea3174be25e62d03
URL:		https://wiki.gnome.org/Projects/NetworkManager
BuildRequires:	ModemManager-devel >= 1.0.0
BuildRequires:	NetworkManager-devel >= %{nmversion}
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	dbus-devel >= 1.2.6
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	gcr-devel >= 3.14
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.32
BuildRequires:	gobject-introspection-devel >= 0.9.6
BuildRequires:	gtk+3-devel >= 3.4
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	intltool >= 0.50.1
BuildRequires:	iso-codes
BuildRequires:	jansson-devel >= 2.3
%{?with_appindicator:BuildRequires:	libappindicator-gtk3-devel >= 0.1}
%{?with_appindicator:BuildRequires:	libdbusmenu-gtk3-devel >= 16.04.0}
BuildRequires:	libnotify-devel >= 0.7.0
BuildRequires:	libsecret-devel
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	tar >= 1:1.22
BuildRequires:	udev-glib-devel >= 1:147
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.32
Requires(post,postun):	gtk-update-icon-cache
Requires:	NetworkManager >= %{nmversion}
Requires:	NetworkManager-gtk-lib = %{version}-%{release}
Requires:	dbus >= 1.2.6
Requires:	dbus-glib >= 0.74
Requires:	glib2 >= 1:2.32
Requires:	hicolor-icon-theme
Requires:	jansson >= 2.3
Requires:	mobile-broadband-provider-info
Requires:	polkit-gnome
Suggests:	dbus(org.freedesktop.Notifications)
Obsoletes:	NetworkManager-applet-devel
Obsoletes:	gnome-bluetooth-plugin-nma < 1.2.2
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Network Manager Applet for GNOME.

%description -l pl.UTF-8
Aplet zarządcy sieci dla GNOME.

%package -n NetworkManager-gtk-lib
Summary:	GTK+ dialogs library for NetworkManager
Summary(pl.UTF-8):	Biblioteka okien dialogowych GTK+ dla NetworkManagera
Group:		X11/Libraries
Requires:	NetworkManager-libs >= %{nmversion}
Requires:	gcr >= 3.14
Requires:	glib2 >= 1:2.32
Requires:	gtk+3 >= 3.4
Requires:	udev-glib >= 1:147

%description -n NetworkManager-gtk-lib
GTK+ dialogs library for NetworkManager.

%description -n NetworkManager-gtk-lib -l pl.UTF-8
Biblioteka okien dialogowych GTK+ dla NetworkManagera.

%package -n NetworkManager-gtk-lib-devel
Summary:	Development package for NetworkManager GTK+ libraries
Summary(pl.UTF-8):	Pakiet programistyczny bibliotek GTK+ NetworkManagera
Group:		X11/Development/Libraries
Requires:	NetworkManager-devel >= %{nmversion}
Requires:	NetworkManager-gtk-lib = %{version}-%{release}
Requires:	glib2-devel >= 1:2.32
Requires:	gtk+3-devel >= 3.4

%description -n NetworkManager-gtk-lib-devel
Header files for NetworkManager GTK+ libraries.

%description -n NetworkManager-gtk-lib-devel -l pl.UTF-8
Pakiet programistyczny bibliotek GTK+ NetworkManagera.

%package -n NetworkManager-gtk-lib-apidocs
Summary:	API documentation for NMA (NetworkManager Applet) library
Summary(pl.UTF-8):	Dokumentacja API biblioteki NMA (NetworkManager Applet)
Group:		Documentation

%description -n NetworkManager-gtk-lib-apidocs
API documentation for NMA (NetworkManager Applet) library.

%description -n NetworkManager-gtk-lib-apidocs -l pl.UTF-8
Dokumentacja API biblioteki NMA (NetworkManager Applet).

%prep
%setup -q -n network-manager-applet-%{version}

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static \
	--enable-more-warnings=yes \
	%{?with_appindicator:--with-appindicator} \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/gnome-vpn-properties

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm}	$RPM_BUILD_ROOT%{_libdir}/{libnm-gtk,libnma}.la

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
if [ "$1" = "0" ]; then
	%glib_compile_schemas
fi

%post   -n NetworkManager-gtk-lib -p /sbin/ldconfig
%postun -n NetworkManager-gtk-lib -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS CONTRIBUTING ChangeLog
%attr(755,root,root) %{_bindir}/nm-applet
%attr(755,root,root) %{_bindir}/nm-connection-editor
%{_datadir}/GConf/gsettings/nm-applet.convert
%{_datadir}/glib-2.0/schemas/org.gnome.nm-applet.gschema.xml
%dir %{_datadir}/gnome-vpn-properties
%{_datadir}/appdata/nm-connection-editor.appdata.xml
%{_sysconfdir}/xdg/autostart/nm-applet.desktop
%{_desktopdir}/nm-applet.desktop
%{_desktopdir}/nm-connection-editor.desktop
%{_mandir}/man1/nm-applet.1*
%{_mandir}/man1/nm-connection-editor.1*
%{_iconsdir}/hicolor/*x*/apps/nm-*.png
%{_iconsdir}/hicolor/scalable/apps/nm-*.svg

%files -n NetworkManager-gtk-lib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnm-gtk.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnm-gtk.so.0
%attr(755,root,root) %{_libdir}/libnma.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnma.so.0
%{_libdir}/girepository-1.0/NMA-1.0.typelib
%{_libdir}/girepository-1.0/NMGtk-1.0.typelib

%files -n NetworkManager-gtk-lib-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnm-gtk.so
%attr(755,root,root) %{_libdir}/libnma.so
%{_datadir}/gir-1.0/NMA-1.0.gir
%{_datadir}/gir-1.0/NMGtk-1.0.gir
%{_includedir}/libnm-gtk
%{_includedir}/libnma
%{_pkgconfigdir}/libnm-gtk.pc
%{_pkgconfigdir}/libnma.pc

%files -n NetworkManager-gtk-lib-apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libnma
%changelog
* Sat Dec 23 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/NetworkManager-applet.git;a=log;h=master

* Sat Dec 23 2017 Jan Palus <atler@pld-linux.org> 97c7a8c
- up to 1.8.10

* Sat Dec 09 2017 Jan Palus <atler@pld-linux.org> 68983ee
- up to 1.8.6

* Thu Jun 22 2017 Jakub Bogusz <qboosh@pld-linux.org> a83f5b3
- updated to 1.8.2

* Sun May 28 2017 Jakub Bogusz <qboosh@pld-linux.org> 782081e
- updated to 1.8.0

* Wed Mar 15 2017 Jakub Bogusz <qboosh@pld-linux.org> 55ed05f
- updated to 1.4.6, package -gtk-lib-apidocs

* Fri Jan 27 2017 Jakub Bogusz <qboosh@pld-linux.org> 3cb166e
- updated to 1.4.4

* Mon Oct 03 2016 Marcin Banasiak <marcin.banasiak@gmail.com> ac04082
- Update to 1.4.2

* Tue Sep 27 2016 Jakub Bogusz <qboosh@pld-linux.org> 79955fc
- updated to 1.4.0

* Sun Jun 26 2016 Jakub Bogusz <qboosh@pld-linux.org> a4ddf39
- dropped obsolete dependencies, added appindicator bcond

* Sat Jun 18 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 8b20b92
- Update to 1.2.2

* Sun Dec 27 2015 Jakub Bogusz <qboosh@pld-linux.org> 5e154a8
- updated to 1.0.10

* Fri Nov 27 2015 Jakub Bogusz <qboosh@pld-linux.org> 7562620
- updated to 1.0.8

* Sat Nov 14 2015 Jakub Bogusz <qboosh@pld-linux.org> 4fec1b4
- updated URL

* Sun Aug 30 2015 Łukasz Kieś <kiesiu@pld-linux.org> bc016ee
- updated to 1.0.6

* Sun Jul 19 2015 Łukasz Kieś <kiesiu@pld-linux.org> 80f6ea8
- updated to 1.0.4

* Fri May 08 2015 Jakub Bogusz <qboosh@pld-linux.org> d7eea85
- updated to 1.0.2

* Sat Apr 18 2015 Jan Rękorajski <baggins@pld-linux.org> bc603a5
- release 3 (by relup.sh)

* Mon Mar 02 2015 Elan Ruusamäe <glen@delfi.ee> 2890df6
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> eed4607
- updated gettext BR

* Fri Dec 26 2014 Jakub Bogusz <qboosh@pld-linux.org> afa6eda
- more install time dependencies

